"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f160>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f1f0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f280>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f310>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f3a0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f430>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f4c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f550>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f5e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f670>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f700>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f790>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f820>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f8b0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f940>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13f9d0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13fa60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13faf0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13fb80>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13fc10>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13fca0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13fd30>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13fdc0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13fe50>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13ff70>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b13fee0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145040>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1450d0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145160>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1451f0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145280>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145310>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1453a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145430>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1454c0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145550>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1455e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145670>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145700>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145790>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145820>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1458b0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145940>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1459d0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145a60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145af0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145b80>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145c10>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145ca0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145d30>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145dc0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145e50>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145ee0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b145f70>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149040>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1490d0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149160>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1491f0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149280>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149310>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1493a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149430>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1494c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149550>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1495e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149790>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149670>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149820>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1498b0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149940>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b1499d0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149a60>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149b80>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149af0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149c10>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149ca0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149d30>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149e50>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149dc0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149ee0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b149f70>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b14c040>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b14c0d0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b14c160>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f144b14c1f0>)]
name: str = 'fr_HOCCN'
